# pandas.core.window.Expanding.aggregate

`Expanding.``aggregate`(arg, *args, **kwargs)

  Aggregate using one or more operations over the specified axis.

  Parameters:

  func : function, str, list or dict

  > Function to use for aggregating the data. If a function, must either work when passed a Series/Dataframe or when passed to Series/Dataframe.apply.

  > Accepted combinations are:

  > - function
  > - string function name
  > - list of functions and/or function names, e.g. `[np.sum, 'mean']`
  > - dict of axis labels -> functions, function names or list of such.

  *args

  > Positional arguments to pass to func.

  **kwargs

  > Keyword arguments to pass to func.

  Returns:

  scalar, Series or DataFrame

  > The return can be:

  > - scalar : when Series.agg is called with single function
  > - Series : when DataFrame.agg is called with a single function
  > - DataFrame : when DataFrame.agg is called with several functions

  > Return scalar, Series or DataFrame.

  See also

  `DataFrame.expanding.aggregate`, `DataFrame.rolling.aggregate`, `DataFrame.aggregate`

  Notes

  agg is an alias for aggregate. Use the alias.

  A passed user-defined-function will be passed a Series for evaluation.

  Examples

      >>> df = pd.DataFrame(np.random.randn(10, 3), columns=['A', 'B', 'C'])
      >>> df
                A         B         C
      0 -2.385977 -0.102758  0.438822
      1 -1.004295  0.905829 -0.954544
      2  0.735167 -0.165272 -1.619346
      3 -0.702657 -1.340923 -0.706334
      4 -0.246845  0.211596 -0.901819
      5  2.463718  3.157577 -1.380906
      6 -1.142255  2.340594 -0.039875
      7  1.396598 -1.647453  1.677227
      8 -0.543425  1.761277 -0.220481
      9 -0.640505  0.289374 -1.550670

      >>> df.ewm(alpha=0.5).mean()
                A         B         C
      0 -2.385977 -0.102758  0.438822
      1 -1.464856  0.569633 -0.490089
      2 -0.207700  0.149687 -1.135379
      3 -0.471677 -0.645305 -0.906555
      4 -0.355635 -0.203033 -0.904111
      5  1.076417  1.503943 -1.146293
      6 -0.041654  1.925562 -0.588728
      7  0.680292  0.132049  0.548693
      8  0.067236  0.948257  0.163353
      9 -0.286980  0.618493 -0.694496

Scroll To Top